package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag103;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT103Creator;

import java.util.List;

/**
 * @author wanggang
 * @date 2023/2/20
 */
public class Tag71FCreator extends AbsTagCreate {

     private MT103Creator mt103Creator;

    public Tag71FCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt103Creator= (MT103Creator) absMTCreator;
    }

    public void creator()
    {
        List tag71FValue = mt103Creator.getSendersCharges();
        if(tag71FValue != null) { mt103Creator.set("71F", tag71FValue, true); }
//        handlerCurAmtCreator(mt103Creator, "sendersCharges");
    }
}

